org.keycloak.admin.client.resource

## Interface RoleByIdResource

-     public interface RoleByIdResource

  Sometimes its easier to just interact with roles by their ID instead of container/role-name
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComposites(String id, List<RoleRepresentation> roles)`
    `void` | `deleteComposites(String id, List<RoleRepresentation> roles)`
    `void` | `deleteRole(String id)`
    `Set<RoleRepresentation>` | `getClientRoleComposites(String id, String clientUuid)`
    `Set<RoleRepresentation>` | `getRealmRoleComposites(String id)`
    `RoleRepresentation` | `getRole(String id)`
    `Set<RoleRepresentation>` | `getRoleComposites(String id)`
    `void` | `updateRole(String id, RoleRepresentation rep)`

- - ### Method Detail

    - #### getRole

          @Path(value="{role-id}")
           @GET
           @Produces(value="application/json")
          RoleRepresentation getRole(@PathParam(value="role-id")
                                                                                                         String id)

    - #### deleteRole

          @Path(value="{role-id}")
           @DELETE
          void deleteRole(@PathParam(value="role-id")
                                                            String id)

    - #### updateRole

          @Path(value="{role-id}")
           @PUT
           @Consumes(value="application/json")
          void updateRole(@PathParam(value="role-id")
                                                                                              String id,
                                                                                              RoleRepresentation rep)

    - #### addComposites

          @Path(value="{role-id}/composites")
           @POST
           @Consumes(value="application/json")
          void addComposites(@PathParam(value="role-id")
                                                                                                             String id,
                                                                                                             List<RoleRepresentation> roles)

    - #### getRoleComposites

          @Path(value="{role-id}/composites")
           @GET
           @Produces(value="application/json")
          Set<RoleRepresentation> getRoleComposites(@PathParam(value="role-id")
                                                                                                                                   String id)

    - #### getRealmRoleComposites

          @Path(value="{role-id}/composites/realm")
           @GET
           @Produces(value="application/json")
          Set<RoleRepresentation> getRealmRoleComposites(@PathParam(value="role-id")
                                                                                                                                              String id)

    - #### getClientRoleComposites

          @Path(value="{role-id}/composites/clients/{clientUuid}")
           @GET
           @Produces(value="application/json")
          Set<RoleRepresentation> getClientRoleComposites(@PathParam(value="role-id")
                                                                                                                                                              String id,
                                                                                                                                                              @PathParam(value="clientUuid")
                                                                                                                                                              String clientUuid)

    - #### deleteComposites

          @Path(value="{role-id}/composites")
           @DELETE
           @Consumes(value="application/json")
          void deleteComposites(@PathParam(value="role-id")
                                                                                                                  String id,
                                                                                                                  List<RoleRepresentation> roles)

Copyright © 2021 JBoss by Red Hat. All rights reserved.